export declare class HTMLNode {
    private selector;
    private el;
    get length(): number;
    get nativeElement(): HTMLElement[] | HTMLElement;
    get nativeArray(): HTMLElement[];
    get classList(): DOMTokenList;
    get style(): CSSStyleDeclaration;
    get dataset(): DOMStringMap;
    querySelectorAll(selector: string): HTMLElement[];
    querySelector(selector: string): HTMLElement;
    map(callback: (value: HTMLElement, index: number, array: HTMLElement[]) => HTMLElement): HTMLElement[];
    filter(callback: (value: HTMLElement, index: number, array: HTMLElement[]) => any): HTMLElement[];
    forEach(callback: (value: HTMLElement, index: number, array: HTMLElement[]) => void): void;
    findIndex(callback: (value: HTMLElement, index: number, array: HTMLElement[]) => number): number;
    setAttribute(attribute: string, value: string): void;
    getAttribute(attribute: string): string;
    hasAttribute(attribute: string): boolean;
    constructor(selector: string);
}
